# vim:ff=unix ts=2 sw=2 ai expandtab
---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.3.0
    hooks:
      - id: check-added-large-files
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: detect-private-key
      - id: trailing-whitespace
        exclude: \.diff$
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.17.0
    hooks:
      - id: yamllint
  - repo: https://github.com/amperser/proselint/
    rev: 0.10.1
    hooks:
      - id: proselint
        types: [plain-text]
        exclude: LICENSE
  - repo: https://git.shore.co.il/nimrod/shell-pre-commit.git/
    rev: v0.6.0
    hooks:
      - id: shell-lint
      - id: shellcheck
  - repo: https://git.shore.co.il/nimrod/docker-pre-commit.git/
    rev: v0.3.0
    hooks:
      - id: hadolint
      - id: docker-compose
  - repo: https://github.com/Yelp/detect-secrets
    rev: v0.13.0
    hooks:
      - id: detect-secrets
        exclude: \.diff$
